Bug 1277303 - Rerunning the Ansible install will fail at times due to pacemaker.
Summary: Rerunning the Ansible install will fail at times due to pacemaker.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-03 00:27 UTC by Ryan Howe
Modified: 2019-08-15 05:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 19:04:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Howe 2015-11-03 00:27:50 UTC
Description of problem:
Rerunning the Ansible install will fail at times due to pacemaker. 

Version-Release number of selected component (if applicable):
3.0.x

How reproducible:
50%

Steps to Reproduce:
1. Stop All Openshift-master serivces 
2. Rerun the installer 


Actual results:
TASK: [openshift_examples | Import RHEL streams] ******************************
failed: [cpg-oshift2-master1.cisco.com] => {"changed": false, "cmd": ["oc", "create", "-n", "openshift", "-f", "/usr/share/openshift/examples/image-streams/image-streams-rhel7.json"], "delta": "0:00:00.252666", "end": "2015-11-02 11:53:28.248404", "failed": true, "failed_when_result": true, "rc": 1, "start": "2015-11-02 11:53:27.995738", "stdout_lines": [], "warnings": []}
stderr: The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?
The connection to the server openshiftv3.cisco.com:8443 was refused - did you specify the right host or port?


Expected results:

To run cleanly 

Additional info:

We are able to resolve this if we start all openshift-master services before running the install. 

The issue is something with the order in which Ansible configures pacemaker and openshift-master.


Note You need to log in before you can comment on or make changes to this bug.